Subject: Re: [L2tpext] Defining a certain port of an LNS for the route back to LAC

From: Ignacio Goyret <[email-masked]>
Date: Wed, 03 Jul 2002 11:29:14 -0700

At 06:26 PM 7/3/02 +0200, Reich, Christian wrote: 
>
>Could it be possible to add a suggestion into the L2TP RFC that a LNS
>should have a feature like policy based routing in that way that it uses
>the same physical port than the SCCRQ gets into the LNS and as destination
>address the source address of the SCCRQ? Without defining a static route
>to the LAC.

Requiring the use of some specific "physical port" is outside of the scope
of L2TP: that's a routing issue.

The requirement for ip addresses is already there in rfc2661, section 8.1.
The SCCRP MUST be sent to the source address of the SCCRQ:

   SCCRQ (IPSA=a, IPDA=b, SrcPort=c, DstPort=1701) -->
      <-- SCCRP (IPSA=d, IPDA=a, SrcPort=e, DstPort=c)

where
  c is any port, including (but not restricted to) 1701.
  d may or may not be = b.
  e may or may not be 1701.

After this initial exchange, nobody can change IP address or udp ports
anymore.

PS: In the future, please don't send HTML.

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext

---

From: Ignacio Goyret <[email-masked]>
Date: Wed, 03 Jul 2002 12:22:50 -0700

Sorry, I guess I'm showing some age. :-)
It _used_ to be in the early l2tp drafts (up to draft #11). The feature
was removed in one of the last drafts, before it became RFC2661.

Let me try a second time, corrected:

   SCCRQ (IPSA=a, IPDA=b, SrcPort=c, DstPort=1701) -->
      <-- SCCRP (IPSA=b, IPDA=a, SrcPort=e, DstPort=c)

where

At 02:03 PM 7/3/02 -0500, Sun, Liming wrote:
>Is there any RFC/document specifying " d may or may not be = b." in the
>SCCRP ?
>
>-----Original Message-----
>